import { flags } from '@oclif/command';
import BaseCommand from '../base-command';
export default class Restore extends BaseCommand {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        region: flags.IOptionFlag<string>;
        profile: flags.IOptionFlag<string>;
        'dry-run': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'state-file': flags.IOptionFlag<string>;
    };
    run(): Promise<void>;
}
