import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { KinesisStreamState } from '../states/kinesis-stream.state';
export declare type DecreaseKinesisStreamsShardsState = KinesisStreamState[];
export declare class DecreaseKinesisStreamsShardsTrick implements TrickInterface<DecreaseKinesisStreamsShardsState> {
    private ksClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper, currentState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: DecreaseKinesisStreamsShardsState, options: TrickOptionsInterface): Promise<Listr>;
    private listKinesisStreamsNames;
    private getStreamState;
    private conserveStreamShards;
    private restoreStreamShards;
    private getStreamSummary;
}
