import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { AutoScalingGroupState } from '../states/auto-scaling-group.state';
export declare type ScaledownAutoScalingGroupsState = AutoScalingGroupState[];
export declare class ScaledownAutoScalingGroupsTrick implements TrickInterface<ScaledownAutoScalingGroupsState> {
    private asClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: ScaledownAutoScalingGroupsState, options: TrickOptionsInterface): Promise<void>;
    conserve(task: ListrTaskWrapper, currentState: ScaledownAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: ScaledownAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    private listAutoScalingGroups;
    private conserveAutoScalingGroup;
    private restoreAutoScalingGroup;
}
