import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { EC2InstanceState } from '../states/ec2-instance.state';
export declare type ShutdownEC2InstancesState = EC2InstanceState[];
export declare class ShutdownEC2InstancesTrick implements TrickInterface<ShutdownEC2InstancesState> {
    private ec2Client;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: ShutdownEC2InstancesState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper, currentState: ShutdownEC2InstancesState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: ShutdownEC2InstancesState, options: TrickOptionsInterface): Promise<Listr>;
    private listReservations;
    private conserveInstance;
    private restoreInstance;
}
