import AWS from 'aws-sdk';
import { Command } from '@oclif/command';
export default abstract class BaseCommand extends Command {
    protected printBanner(awsConfig: AWS.Config, flags: Record<string, any>): void;
    protected validateStateFilePath(flags: Record<string, any>): Promise<void>;
}
