import { flags } from '@oclif/command';
import BaseCommand from '../base-command';
export default class Conserve extends BaseCommand {
    static tricksEnabledByDefault: readonly string[];
    static tricksDisabledByDefault: readonly string[];
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        region: flags.IOptionFlag<string>;
        profile: flags.IOptionFlag<string>;
        'dry-run': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'state-file': flags.IOptionFlag<string>;
        'no-state-file': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'use-trick': flags.IOptionFlag<string[]>;
        'ignore-trick': flags.IOptionFlag<string[]>;
        'no-default-tricks': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: never[];
    run(): Promise<void>;
    private createTrickListr;
    private getEnabledTricks;
}
