import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { RdsClusterState } from '../states/rds-cluster.state';
export declare type StopRdsDatabaseClustersState = RdsClusterState[];
export declare class StopRdsDatabaseClustersTrick implements TrickInterface<StopRdsDatabaseClustersState> {
    private rdsClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: StopRdsDatabaseClustersState, options: TrickOptionsInterface): Promise<Listr>;
    conserve(task: ListrTaskWrapper, currentState: StopRdsDatabaseClustersState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: StopRdsDatabaseClustersState, options: TrickOptionsInterface): Promise<Listr>;
    private conserveCluster;
    private restoreCluster;
    private listClusters;
}
