import Listr, { ListrTaskWrapper } from 'listr';
import { TrickInterface } from '../interfaces/trick.interface';
import { TrickOptionsInterface } from '../interfaces/trick-options.interface';
import { AutoScalingGroupState } from '../states/auto-scaling-group.state';
export declare type SuspendAutoScalingGroupsState = AutoScalingGroupState[];
export declare class SuspendAutoScalingGroupsTrick implements TrickInterface<SuspendAutoScalingGroupsState> {
    private asClient;
    static machineName: string;
    constructor();
    getMachineName(): string;
    getConserveTitle(): string;
    getRestoreTitle(): string;
    getCurrentState(task: ListrTaskWrapper, currentState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<void>;
    conserve(task: ListrTaskWrapper, currentState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    restore(task: ListrTaskWrapper, originalState: SuspendAutoScalingGroupsState, options: TrickOptionsInterface): Promise<Listr>;
    private listAutoScalingGroups;
    private conserveProcesses;
    private restoreProcesses;
}
